diff --git a/snf-pithos-backend/pithos/backends/modular.py b/snf-pithos-backend/pithos/backends/modular.py
index 8b6458f..97e14b7 100644
--- a/snf-pithos-backend/pithos/backends/modular.py
+++ b/snf-pithos-backend/pithos/backends/modular.py
@@ -665,54 +714,59 @@ class ModularBackend(BaseBackend):
                 raise NotAllowedError
         self._lookup_object(account, container, name)
         return (allowed, permissions_path, self.permissions.access_get(permissions_path))
-    
+
     @backend_method
     def update_object_permissions(self, user, account, container, name, permissions):
         """Update the permissions associated with the object."""
-        
-        logger.debug("update_object_permissions: %s %s %s %s %s", user, account, container, name, permissions)
+
+        logger.debug("update_object_permissions: %s %s %s %s %s",
+                     user, account, container, name, permissions)
         if user != account:
             raise NotAllowedError
         path = self._lookup_object(account, container, name)[0]
         self._check_permissions(path, permissions)
         self.permissions.access_set(path, permissions)
-        self._report_sharing_change(user, account, path, {'members':self.permissions.access_members(path)})
-    
+        self._report_sharing_change(user, account, path, {'members':
+                                    self.permissions.access_members(path)})
+
     @backend_method
     def get_object_public(self, user, account, container, name):
         """Return the public id of the object if applicable."""
-        
-        logger.debug("get_object_public: %s %s %s %s", user, account, container, name)
+
+        logger.debug(
+            "get_object_public: %s %s %s %s", user, account, container, name)
         self._can_read(user, account, container, name)
         path = self._lookup_object(account, container, name)[0]
         p = self.permissions.public_get(path)
         if p is not None:
             p += ULTIMATE_ANSWER
         return p
-    
+
     @backend_method
     def update_object_public(self, user, account, container, name, public):
         """Update the public status of the object."""
-        
-        logger.debug("update_object_public: %s %s %s %s %s", user, account, container, name, public)
+
+        logger.debug("update_object_public: %s %s %s %s %s", user,
+                     account, container, name, public)
         self._can_write(user, account, container, name)
         path = self._lookup_object(account, container, name)[0]
         if not public:
             self.permissions.public_unset(path)
         else:
             self.permissions.public_set(path)
-    
+
     @backend_method
     def get_object_hashmap(self, user, account, container, name, version=None):
         """Return the object's size and a list with partial hashes."""
-        
-        logger.debug("get_object_hashmap: %s %s %s %s %s", user, account, container, name, version)
+
+        logger.debug("get_object_hashmap: %s %s %s %s %s", user,
+                     account, container, name, version)
         self._can_read(user, account, container, name)
         path, node = self._lookup_object(account, container, name)
         props = self._get_version(node, version)
         hashmap = self.store.map_get(binascii.unhexlify(props[self.HASH]))
         return props[self.SIZE], [binascii.hexlify(x) for x in hashmap]
-    
+
     def _update_object_hash(self, user, account, container, name, size, type, hash, checksum, domain, meta, replace_meta, permissions, src_node=None, src_version_id=None, is_copy=False):
         if permissions is not None and user != account:
             raise NotAllowedError
@@ -720,17 +774,20 @@ class ModularBackend(BaseBackend):
         if permissions is not None:
             path = '/'.join((account, container, name))
             self._check_permissions(path, permissions)
-        
+
         account_path, account_node = self._lookup_account(account, True)
-        container_path, container_node = self._lookup_container(account, container)
-        path, node = self._put_object_node(container_path, container_node, name)
+        container_path, container_node = self._lookup_container(
+            account, container)
+        path, node = self._put_object_node(
+            container_path, container_node, name)
         pre_version_id, dest_version_id = self._put_version_duplicate(user, node, src_node=src_node, size=size, type=type, hash=hash, checksum=checksum, is_copy=is_copy)
-        
+
         # Handle meta.
         if src_version_id is None:
             src_version_id = pre_version_id
-        self._put_metadata_duplicate(src_version_id, dest_version_id, domain, meta, replace_meta)
-        
+        self._put_metadata_duplicate(
+            src_version_id, dest_version_id, domain, meta, replace_meta)
+
         # Check quota.
         del_size = self._apply_versioning(account, container, pre_version_id)
         size_delta = size - del_size
@@ -741,21 +798,23 @@ class ModularBackend(BaseBackend):
                (container_quota > 0 and self._get_statistics(container_node)[1] + size_delta > container_quota):
                 # This must be executed in a transaction, so the version is never created if it fails.
                 raise QuotaError
-        self._report_size_change(user, account, size_delta, {'action': 'object update', 'path':path})
-        
+        self._report_size_change(user, account, size_delta, {
+                                 'action': 'object update', 'path': path})
+
         if permissions is not None:
             self.permissions.access_set(path, permissions)
-            self._report_sharing_change(user, account, path, {'members':self.permissions.access_members(path)})
-        
+            self._report_sharing_change(user, account, path, {'members': self.permissions.access_members(path)})
+
         self._report_object_change(user, account, path, details={'version': dest_version_id, 'action': 'object update'})
         return dest_version_id
-    
+
     @backend_method
     def update_object_hashmap(self, user, account, container, name, size, type, hashmap, checksum, domain, meta={}, replace_meta=False, permissions=None):
         """Create/update an object with the specified size and partial hashes."""
-        
-        logger.debug("update_object_hashmap: %s %s %s %s %s %s %s %s", user, account, container, name, size, type, hashmap, checksum)
-        if size == 0: # No such thing as an empty hashmap.
+
+        logger.debug("update_object_hashmap: %s %s %s %s %s %s %s %s", user,
+                     account, container, name, size, type, hashmap, checksum)
+        if size == 0:  # No such thing as an empty hashmap.
             hashmap = [self.put_block('')]
         map = HashMap(self.block_size, self.hash_algorithm)
         map.extend([binascii.unhexlify(x) for x in hashmap])
@@ -764,17 +823,18 @@ class ModularBackend(BaseBackend):
             ie = IndexError()
             ie.data = [binascii.hexlify(x) for x in missing]
             raise ie
-        
+
         hash = map.hash()
         dest_version_id = self._update_object_hash(user, account, container, name, size, type, binascii.hexlify(hash), checksum, domain, meta, replace_meta, permissions)
         self.store.map_put(hash, map)
         return dest_version_id
-    
+
     @backend_method
     def update_object_checksum(self, user, account, container, name, version, checksum):
         """Update an object's checksum."""
-        
-        logger.debug("update_object_checksum: %s %s %s %s %s %s", user, account, container, name, version, checksum)
+
+        logger.debug("update_object_checksum: %s %s %s %s %s %s",
+                     user, account, container, name, version, checksum)
         # Update objects with greater version and same hashmap and size (fix metadata updates).
         self._can_write(user, account, container, name)
         path, node = self._lookup_object(account, container, name)
@@ -782,65 +842,70 @@ class ModularBackend(BaseBackend):
         versions = self.node.node_get_versions(node)
         for x in versions:
             if x[self.SERIAL] >= int(version) and x[self.HASH] == props[self.HASH] and x[self.SIZE] == props[self.SIZE]:
-                self.node.version_put_property(x[self.SERIAL], 'checksum', checksum)
-    
+                self.node.version_put_property(
+                    x[self.SERIAL], 'checksum', checksum)
+
     def _copy_object(self, user, src_account, src_container, src_name, dest_account, dest_container, dest_name, type, dest_domain=None, dest_meta={}, replace_meta=False, permissions=None, src_version=None, is_move=False, delimiter=None):
         dest_version_ids = []
         self._can_read(user, src_account, src_container, src_name)
         path, node = self._lookup_object(src_account, src_container, src_name)
         # TODO: Will do another fetch of the properties in duplicate version...
-        props = self._get_version(node, src_version) # Check to see if source exists.
+        props = self._get_version(
+            node, src_version)  # Check to see if source exists.
         src_version_id = props[self.SERIAL]
         hash = props[self.HASH]
         size = props[self.SIZE]
-        is_copy = not is_move and (src_account, src_container, src_name) != (dest_account, dest_container, dest_name) # New uuid.
+        is_copy = not is_move and (src_account, src_container, src_name) != (
+            dest_account, dest_container, dest_name)  # New uuid.
         dest_version_ids.append(self._update_object_hash(user, dest_account, dest_container, dest_name, size, type, hash, None, dest_domain, dest_meta, replace_meta, permissions, src_node=node, src_version_id=src_version_id, is_copy=is_copy))
         if is_move and (src_account, src_container, src_name) != (dest_account, dest_container, dest_name):
-        	self._delete_object(user, src_account, src_container, src_name)
-        
+            self._delete_object(user, src_account, src_container, src_name)
+
         if delimiter:
-            prefix = src_name + delimiter if not src_name.endswith(delimiter) else src_name
+            prefix = src_name + \
+                delimiter if not src_name.endswith(delimiter) else src_name
             src_names = self._list_objects_no_limit(user, src_account, src_container, prefix, delimiter=None, virtual=False, domain=None, keys=[], shared=False, until=None, size_range=None, all_props=True, public=False)
-            src_names.sort(key=lambda x: x[2]) # order by nodes
+            src_names.sort(key=lambda x: x[2])  # order by nodes
             paths = [elem[0] for elem in src_names]
             nodes = [elem[2] for elem in src_names]
             # TODO: Will do another fetch of the properties in duplicate version...
-            props = self._get_versions(nodes) # Check to see if source exists.
-            
+            props = self._get_versions(nodes)  # Check to see if source exists.
+
             for prop, path, node in zip(props, paths, nodes):
                 src_version_id = prop[self.SERIAL]
                 hash = prop[self.HASH]
                 vtype = prop[self.TYPE]
                 size = prop[self.SIZE]
-                dest_prefix = dest_name + delimiter if not dest_name.endswith(delimiter) else dest_name
+                dest_prefix = dest_name + delimiter if not dest_name.endswith(
+                    delimiter) else dest_name
                 vdest_name = path.replace(prefix, dest_prefix, 1)
                 dest_version_ids.append(self._update_object_hash(user, dest_account, dest_container, vdest_name, size, vtype, hash, None, dest_domain, meta={}, replace_meta=False, permissions=None, src_node=node, src_version_id=src_version_id, is_copy=is_copy))
                 if is_move and (src_account, src_container, src_name) != (dest_account, dest_container, dest_name):
-                	self._delete_object(user, src_account, src_container, path)
+                    self._delete_object(user, src_account, src_container, path)
         return dest_version_ids[0] if len(dest_version_ids) == 1 else dest_version_ids
-    
+
     @backend_method
     def copy_object(self, user, src_account, src_container, src_name, dest_account, dest_container, dest_name, type, domain, meta={}, replace_meta=False, permissions=None, src_version=None, delimiter=None):
         """Copy an object's data and metadata."""
-        
+
         logger.debug("copy_object: %s %s %s %s %s %s %s %s %s %s %s %s %s %s", user, src_account, src_container, src_name, dest_account, dest_container, dest_name, type, domain, meta, replace_meta, permissions, src_version, delimiter)
         dest_version_id = self._copy_object(user, src_account, src_container, src_name, dest_account, dest_container, dest_name, type, domain, meta, replace_meta, permissions, src_version, False, delimiter)
         return dest_version_id
-    
+
     @backend_method
     def move_object(self, user, src_account, src_container, src_name, dest_account, dest_container, dest_name, type, domain, meta={}, replace_meta=False, permissions=None, delimiter=None):
         """Move an object's data and metadata."""
-        
+
         logger.debug("move_object: %s %s %s %s %s %s %s %s %s %s %s %s %s", user, src_account, src_container, src_name, dest_account, dest_container, dest_name, type, domain, meta, replace_meta, permissions, delimiter)
         if user != src_account:
             raise NotAllowedError
         dest_version_id = self._copy_object(user, src_account, src_container, src_name, dest_account, dest_container, dest_name, type, domain, meta, replace_meta, permissions, None, True, delimiter)
         return dest_version_id
-    
+
     def _delete_object(self, user, account, container, name, until=None, delimiter=None):
         if user != account:
             raise NotAllowedError
-        
+
         if until is not None:
             path = '/'.join((account, container, name))
             node = self.node.node_lookup(path)
@@ -861,53 +926,60 @@ class ModularBackend(BaseBackend):
                 props = self._get_version(node)
             except NameError:
                 self.permissions.access_clear(path)
-            self._report_size_change(user, account, -size, {'action': 'object purge', 'path':path})
+            self._report_size_change(user, account, -size, {
+                                     'action': 'object purge', 'path': path})
             return
-        
+
         path, node = self._lookup_object(account, container, name)
         src_version_id, dest_version_id = self._put_version_duplicate(user, node, size=0, type='', hash=None, checksum='', cluster=CLUSTER_DELETED)
         del_size = self._apply_versioning(account, container, src_version_id)
         if del_size:
-            self._report_size_change(user, account, -del_size, {'action': 'object delete', 'path':path})
-        self._report_object_change(user, account, path, details={'action': 'object delete'})
+            self._report_size_change(user, account, -del_size, {
+                                     'action': 'object delete', 'path': path})
+        self._report_object_change(
+            user, account, path, details={'action': 'object delete'})
         self.permissions.access_clear(path)
-        
+
         if delimiter:
             prefix = name + delimiter if not name.endswith(delimiter) else name
             src_names = self._list_objects_no_limit(user, account, container, prefix, delimiter=None, virtual=False, domain=None, keys=[], shared=False, until=None, size_range=None, all_props=True, public=False)
             paths = []
             for t in src_names:
-            	path = '/'.join((account, container, t[0]))
-            	node = t[2]
+                path = '/'.join((account, container, t[0]))
+                node = t[2]
                 src_version_id, dest_version_id = self._put_version_duplicate(user, node, size=0, type='', hash=None, checksum='', cluster=CLUSTER_DELETED)
-                del_size = self._apply_versioning(account, container, src_version_id)
+                del_size = self._apply_versioning(
+                    account, container, src_version_id)
                 if del_size:
-                    self._report_size_change(user, account, -del_size, {'action': 'object delete', 'path':path})
-                self._report_object_change(user, account, path, details={'action': 'object delete'})
+                    self._report_size_change(user, account, -del_size, {'action': 'object delete', 'path': path})
+                self._report_object_change(
+                    user, account, path, details={'action': 'object delete'})
                 paths.append(path)
             self.permissions.access_clear_bulk(paths)
-    
+
     @backend_method
     def delete_object(self, user, account, container, name, until=None, prefix='', delimiter=None):
         """Delete/purge an object."""
-        
-        logger.debug("delete_object: %s %s %s %s %s %s %s", user, account, container, name, until, prefix, delimiter)
+
+        logger.debug("delete_object: %s %s %s %s %s %s %s", user,
+                     account, container, name, until, prefix, delimiter)
         self._delete_object(user, account, container, name, until, delimiter)
-    
+
     @backend_method
     def list_versions(self, user, account, container, name):
         """Return a list of all (version, version_timestamp) tuples for an object."""
-        
-        logger.debug("list_versions: %s %s %s %s", user, account, container, name)
+
+        logger.debug(
+            "list_versions: %s %s %s %s", user, account, container, name)
         self._can_read(user, account, container, name)
         path, node = self._lookup_object(account, container, name)
         versions = self.node.node_get_versions(node)
         return [[x[self.SERIAL], x[self.MTIME]] for x in versions if x[self.CLUSTER] != CLUSTER_DELETED]
-    
+
     @backend_method
     def get_uuid(self, user, uuid):
         """Return the (account, container, name) for the UUID given."""
-        
+
         logger.debug("get_uuid: %s %s", user, uuid)
         info = self.node.latest_uuid(uuid)
         if info is None:
@@ -916,11 +988,11 @@ class ModularBackend(BaseBackend):
         account, container, name = path.split('/', 2)
         self._can_read(user, account, container, name)
         return (account, container, name)
-    
+
     @backend_method
     def get_public(self, user, public):
         """Return the (account, container, name) for the public id given."""
-        
+
         logger.debug("get_public: %s %s", user, public)
         if public is None or public < ULTIMATE_ANSWER:
             raise NameError
@@ -930,78 +1002,80 @@ class ModularBackend(BaseBackend):
         account, container, name = path.split('/', 2)
         self._can_read(user, account, container, name)
         return (account, container, name)
-    
+
     @backend_method(autocommit=0)
     def get_block(self, hash):
         """Return a block's data."""
-        
+
         logger.debug("get_block: %s", hash)
         block = self.store.block_get(binascii.unhexlify(hash))
         if not block:
             raise ItemNotExists('Block does not exist')
         return block
-    
+
     @backend_method(autocommit=0)
     def put_block(self, data):
         """Store a block and return the hash."""
-        
+
         logger.debug("put_block: %s", len(data))
         return binascii.hexlify(self.store.block_put(data))
-    
+
     @backend_method(autocommit=0)
     def update_block(self, hash, data, offset=0):
         """Update a known block and return the hash."""
-        
+
         logger.debug("update_block: %s %s %s", hash, len(data), offset)
         if offset == 0 and len(data) == self.block_size:
             return self.put_block(data)
         h = self.store.block_update(binascii.unhexlify(hash), offset, data)
         return binascii.hexlify(h)
-    
+
     # Path functions.
-    
+
     def _generate_uuid(self):
         return str(uuidlib.uuid4())
-    
+
     def _put_object_node(self, path, parent, name):
         path = '/'.join((path, name))
         node = self.node.node_lookup(path)
         if node is None:
             node = self.node.node_create(parent, path)
         return path, node
-    
+
     def _put_path(self, user, parent, path):
         node = self.node.node_create(parent, path)
-        self.node.version_create(node, None, 0, '', None, user, self._generate_uuid(), '', CLUSTER_NORMAL)
+        self.node.version_create(node, None, 0, '', None, user,
+                                 self._generate_uuid(), '', CLUSTER_NORMAL)
         return node
-    
+
     def _lookup_account(self, account, create=True):
         node = self.node.node_lookup(account)
         if node is None and create:
-            node = self._put_path(account, self.ROOTNODE, account) # User is account.
+            node = self._put_path(
+                account, self.ROOTNODE, account)  # User is account.
         return account, node
-    
+
     def _lookup_container(self, account, container):
         path = '/'.join((account, container))
         node = self.node.node_lookup(path)
         if node is None:
             raise ItemNotExists('Container does not exist')
         return path, node
-    
+
     def _lookup_object(self, account, container, name):
         path = '/'.join((account, container, name))
         node = self.node.node_lookup(path)
         if node is None:
             raise ItemNotExists('Object does not exist')
         return path, node
-    
+
     def _lookup_objects(self, paths):
         nodes = self.node.node_lookup_bulk(paths)
         return paths, nodes
-    
+
     def _get_properties(self, node, until=None):
         """Return properties until the timestamp given."""
-        
+
         before = until if until is not None else inf
         props = self.node.version_lookup(node, before, CLUSTER_NORMAL)
         if props is None and until is not None:
@@ -1009,10 +1083,10 @@ class ModularBackend(BaseBackend):
         if props is None:
             raise ItemNotExists('Path does not exist')
         return props
-    
+
     def _get_statistics(self, node, until=None):
         """Return count, sum of size and latest timestamp of everything under node."""
-        
+
         if until is None:
             stats = self.node.statistics_get(node, CLUSTER_NORMAL)
         else:
@@ -1020,7 +1094,7 @@ class ModularBackend(BaseBackend):
         if stats is None:
             stats = (0, 0, 0)
         return stats
-    
+
     def _get_version(self, node, version=None):
         if version is None:
             props = self.node.version_lookup(node, inf, CLUSTER_NORMAL)
@@ -1038,11 +1112,12 @@ class ModularBackend(BaseBackend):
 
     def _get_versions(self, nodes):
         return self.node.version_lookup_bulk(nodes, inf, CLUSTER_NORMAL)
-    
+
     def _put_version_duplicate(self, user, node, src_node=None, size=None, type=None, hash=None, checksum=None, cluster=CLUSTER_NORMAL, is_copy=False):
         """Create a new version of the node."""
-        
-        props = self.node.version_lookup(node if src_node is None else src_node, inf, CLUSTER_NORMAL)
+
+        props = self.node.version_lookup(
+            node if src_node is None else src_node, inf, CLUSTER_NORMAL)
         if props is not None:
             src_version_id = props[self.SERIAL]
             src_hash = props[self.HASH]
@@ -1055,15 +1130,16 @@ class ModularBackend(BaseBackend):
             src_size = 0
             src_type = ''
             src_checksum = ''
-        if size is None: # Set metadata.
-            hash = src_hash # This way hash can be set to None (account or container).
+        if size is None:  # Set metadata.
+            hash = src_hash  # This way hash can be set to None (account or container).
             size = src_size
         if type is None:
             type = src_type
         if checksum is None:
             checksum = src_checksum
-        uuid = self._generate_uuid() if (is_copy or src_version_id is None) else props[self.UUID]
-        
+        uuid = self._generate_uuid(
+        ) if (is_copy or src_version_id is None) else props[self.UUID]
+
         if src_node is None:
             pre_version_id = src_version_id
         else:
@@ -1073,27 +1149,32 @@ class ModularBackend(BaseBackend):
                 pre_version_id = props[self.SERIAL]
         if pre_version_id is not None:
             self.node.version_recluster(pre_version_id, CLUSTER_HISTORY)
-        
+
         dest_version_id, mtime = self.node.version_create(node, hash, size, type, src_version_id, user, uuid, checksum, cluster)
         return pre_version_id, dest_version_id
-    
+
     def _put_metadata_duplicate(self, src_version_id, dest_version_id, domain, meta, replace=False):
         if src_version_id is not None:
             self.node.attribute_copy(src_version_id, dest_version_id)
         if not replace:
-            self.node.attribute_del(dest_version_id, domain, (k for k, v in meta.iteritems() if v == ''))
-            self.node.attribute_set(dest_version_id, domain, ((k, v) for k, v in meta.iteritems() if v != ''))
+            self.node.attribute_del(dest_version_id, domain, (
+                k for k, v in meta.iteritems() if v == ''))
+            self.node.attribute_set(dest_version_id, domain, (
+                (k, v) for k, v in meta.iteritems() if v != ''))
         else:
             self.node.attribute_del(dest_version_id, domain)
-            self.node.attribute_set(dest_version_id, domain, ((k, v) for k, v in meta.iteritems()))
-    
+            self.node.attribute_set(dest_version_id, domain, ((
+                k, v) for k, v in meta.iteritems()))
+
     def _put_metadata(self, user, node, domain, meta, replace=False):
         """Create a new version and store metadata."""
-        
-        src_version_id, dest_version_id = self._put_version_duplicate(user, node)
-        self._put_metadata_duplicate(src_version_id, dest_version_id, domain, meta, replace)
+
+        src_version_id, dest_version_id = self._put_version_duplicate(
+            user, node)
+        self._put_metadata_duplicate(
+            src_version_id, dest_version_id, domain, meta, replace)
         return src_version_id, dest_version_id
-    
+
     def _list_limits(self, listing, marker, limit):
         start = 0
         if marker:
@@ -1104,7 +1185,7 @@ class ModularBackend(BaseBackend):
         if not limit or limit > 10000:
             limit = 10000
         return start, limit
-    
+
     def _list_object_properties(self, parent, path, prefix='', delimiter=None, marker=None, limit=10000, virtual=True, domain=None, keys=[], until=None, size_range=None, allowed=[], all_props=False):
         cont_prefix = path + '/'
         prefix = cont_prefix + prefix
@@ -1112,41 +1193,51 @@ class ModularBackend(BaseBackend):
         before = until if until is not None else inf
         filterq = keys if domain else []
         sizeq = size_range
-        
+
         objects, prefixes = self.node.latest_version_list(parent, prefix, delimiter, start, limit, before, CLUSTER_DELETED, allowed, domain, filterq, sizeq, all_props)
         objects.extend([(p, None) for p in prefixes] if virtual else [])
         objects.sort(key=lambda x: x[0])
         objects = [(x[0][len(cont_prefix):],) + x[1:] for x in objects]
         return objects
-        
+
     # Reporting functions.
-    
+
     def _report_size_change(self, user, account, size, details={}):
         account_node = self._lookup_account(account, True)[1]
         total = self._get_statistics(account_node)[1]
         details.update({'user': user, 'total': total})
-        logger.debug("_report_size_change: %s %s %s %s", user, account, size, details)
-        self.messages.append((QUEUE_MESSAGE_KEY_PREFIX % ('resource.diskspace',), account, QUEUE_INSTANCE_ID, 'diskspace', float(size), details))
-    
+        logger.debug(
+            "_report_size_change: %s %s %s %s", user, account, size, details)
+        self.messages.append((QUEUE_MESSAGE_KEY_PREFIX % ('resource.diskspace',), 
+        					  account,
+        					  QUEUE_INSTANCE_ID,
+        					  'diskspace',
+        					  float(size),
+        					  details))
+
     def _report_object_change(self, user, account, path, details={}):
         details.update({'user': user})
-        logger.debug("_report_object_change: %s %s %s %s", user, account, path, details)
-        self.messages.append((QUEUE_MESSAGE_KEY_PREFIX % ('object',), account, QUEUE_INSTANCE_ID, 'object', path, details))
-    
+        logger.debug("_report_object_change: %s %s %s %s", user,
+                     account, path, details)
+        self.messages.append((QUEUE_MESSAGE_KEY_PREFIX % (
+            'object',), account, QUEUE_INSTANCE_ID, 'object', path, details))
+
     def _report_sharing_change(self, user, account, path, details={}):
-        logger.debug("_report_permissions_change: %s %s %s %s", user, account, path, details)
+        logger.debug("_report_permissions_change: %s %s %s %s",
+                     user, account, path, details)
         details.update({'user': user})
-        self.messages.append((QUEUE_MESSAGE_KEY_PREFIX % ('sharing',), account, QUEUE_INSTANCE_ID, 'sharing', path, details))
-    
+        self.messages.append((QUEUE_MESSAGE_KEY_PREFIX % ('sharing',), account,
+                             QUEUE_INSTANCE_ID, 'sharing', path, details))
+
     # Policy functions.
-    
+
     def _check_policy(self, policy):
         for k in policy.keys():
             if policy[k] == '':
                 policy[k] = self.default_policy.get(k)
         for k, v in policy.iteritems():
             if k == 'quota':
-                q = int(v) # May raise ValueError.
+                q = int(v)  # May raise ValueError.
                 if q < 0:
                     raise ValueError
             elif k == 'versioning':
@@ -1154,24 +1245,24 @@ class ModularBackend(BaseBackend):
                     raise ValueError
             else:
                 raise ValueError
-    
+
     def _put_policy(self, node, policy, replace):
         if replace:
             for k, v in self.default_policy.iteritems():
                 if k not in policy:
                     policy[k] = v
         self.node.policy_set(node, policy)
-    
+
     def _get_policy(self, node):
         policy = self.default_policy.copy()
         policy.update(self.node.policy_get(node))
         return policy
-    
+
     def _apply_versioning(self, account, container, version_id):
         """Delete the provided version if such is the policy.
            Return size of object removed.
         """
-        
+
         if version_id is None:
             return 0
         path, node = self._lookup_container(account, container)
@@ -1181,17 +1272,17 @@ class ModularBackend(BaseBackend):
             self.store.map_delete(hash)
             return size
         return 0
-    
+
     # Access control functions.
-    
+
     def _check_groups(self, groups):
         # raise ValueError('Bad characters in groups')
         pass
-    
+
     def _check_permissions(self, path, permissions):
         # raise ValueError('Bad characters in permissions')
         pass
-    
+
     def _get_formatted_paths(self, paths):
         formatted = []
         for p in paths:
@@ -1203,7 +1294,7 @@ class ModularBackend(BaseBackend):
                     formatted.append((p.rstrip('/') + '/', self.MATCH_PREFIX))
                 formatted.append((p, self.MATCH_EXACT))
         return formatted
-    
+
     def _get_permissions_path(self, account, container, name):
         path = '/'.join((account, container, name))
         permission_paths = self.permissions.access_inherit(path)
